---

#! /db/releases/20250115125303/lkp-src/jobs/kunit.yaml
suite: kunit
testcase: kunit
category: functional
kunit:
  group: group-01
kernel_cmdline: kunit.enable=1
job_origin: kunit.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-hsw-d03
tbox_group: lkp-hsw-d03
job_file: "/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-01-debian-12-x86_64-20240206.cgz-b63e6f60eab4-20250120-95240-12emete-18.yaml"
id: 1bd53ae797943b2b566de7c060c1e075cc42fc69
queuer_version: "/lkp/xsang/.src-20250110-151342"

#! /db/releases/20250115125303/lkp-src/hosts/lkp-hsw-d03
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 16G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNA3R-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part1"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part2"
brand: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915

#! /db/releases/20250115125303/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20250115125303/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20250115125303/lkp-src/include/queue/cyclic
commit: b63e6f60eab45b16a1bf734fef9035a4c4187cd5

#! /db/releases/20250115125303/lkp-src/programs/kunit/include
need_kconfig:
- KPROBE_EVENT_GEN_TEST: m
- STRING_SELFTEST: m
- TEST_DIV64: m
- TEST_BPF: m
- TEST_MIN_HEAP: m
- TEST_STATIC_KEYS: m
- TEST_SCANF: m
- TEST_PRINTF: m
- TEST_KSTRTOX: m
- TEST_STRING_HELPERS: m
- TEST_BITMAP: m
- TEST_UUID: m
- TEST_XARRAY: m
- TEST_OVERFLOW: m
- TEST_RHASHTABLE: m
- TEST_IDA: m
- TEST_MEMCAT_P: m
- TEST_UDELAY: m
- TEST_VMALLOC: m
- DMAPOOL_TEST: m
- TEST_MEMINIT: m
- DMABUF_SELFTESTS: m
- TEST_FREE_PAGES: m
- TEST_BITOPS: m
- TEST_BLACKHOLE_DEV: m
- FIND_BIT_BENCHMARK: m
- TEST_ASYNC_DRIVER_PROBE: m
- GLOB_SELFTEST: m
- PREEMPTIRQ_DELAY_TEST: m
- KPROBES_SANITY_TEST: m
- USB4_DMA_TEST: m
- SCF_TORTURE_TEST: m
- TEST_REF_TRACKER: m
- TEST_LOCKUP: m
- TEST_DHRY: m
- TEST_CLOCKSOURCE_WATCHDOG: m
- REED_SOLOMON_TEST: m
- ASYNC_RAID6_TEST: m
- BACKTRACE_SELF_TEST: m
- ATOMIC64_SELFTEST: m
- TEST_MAPLE_TREE: m
- TEST_HMM: m
- TRANSPARENT_HUGEPAGE: "y"
- PREEMPT_RT: "n"
- DEVICE_PRIVATE: "y"
- ZONE_DEVICE: "y"
- MEMORY_HOTREMOVE: "y"
- MEMORY_HOTPLUG: "y"
- TEST_FPU: m
- KCOV_INSTRUMENT_ALL: "n"
- SPI_LOOPBACK_TEST: m
- SPI: "y"
- SPI_MASTER: "y"
- CRC32_SELFTEST: m
- CRC32: "y"
- SND_SOC_INTEL_AVS_MACH_I2S_TEST: m
- SND: m
- SND_SOC: m
- SND_SOC_INTEL_AVS: m
- UNICODE_NORMALIZATION_SELFTEST: m
- UNICODE: m
- SYNTH_EVENT_GEN_TEST: m
- SYNTH_EVENTS: "y"
- NTB_MSI_TEST: m
- NTB_MSI: "y"
- TEST_LIVEPATCH: m
- LIVEPATCH: "y"
- DYNAMIC_DEBUG: "y"
- DYNAMIC_FTRACE_WITH_REGS: "y"
- TEST_DYNAMIC_DEBUG: m
- DYNAMIC_DEBUG: "y"
- PROC_FS: "y"
- DEBUG_FS: "y"
- PRINTK: "y"
- FTRACE_STARTUP_TEST: "y"
- EVENT_TRACE_STARTUP_TEST: "y"
- GUP_TEST: "y"
- CRYPTO_MANAGER_DISABLE_TESTS: "n"
- CRYPTO_MANAGER_EXTRA_TESTS: "y"
- BTRFS_FS_RUN_SANITY_TESTS: "y"
- STATIC_CALL_SELFTEST: "y"
- STMMAC_SELFTESTS: "y"
- STMMAC_ETH
- PTP_1588_CLOCK_OPTIONAL
- MCTP_TEST: "y"
- MCTP: "y"
- TSNEP_SELFTESTS: "y"
- TSNEP
- PTP_1588_CLOCK_OPTIONAL
- NITRO_ENCLAVES_MISC_DEV_TEST: "y"
- NITRO_ENCLAVES
- PCI: "y"
- HAVE_PCI: "y"
- VIRT_DRIVERS: "y"
- FTRACE_SORT_STARTUP_TEST: "y"
- FUNCTION_TRACER: "y"
- DYNAMIC_FTRACE: "y"
- BUILDTIME_MCOUNT_SORT: "y"
- NET_SELFTESTS: "y"
- PHYLIB
- INET: "y"
- FIPS_SIGNATURE_SELFTEST: "y"
- ASYMMETRIC_KEY_TYPE: "y"
- ASYMMETRIC_PUBLIC_KEY_SUBTYPE
- X509_CERTIFICATE_PARSER
- PKCS7_MESSAGE_PARSER
- CXL_REGION_INVALIDATION_TEST: "y"
- CXL_REGION: "y"
- PCI: "y"
- CXL_BUS
- SPARSEMEM: "y"
- IOMMUFD_TEST: "y"
- IOMMUFD
- DEBUG_KERNEL: "y"
- FAULT_INJECTION: "y"
- NVDIMM_SECURITY_TEST: "y"
- NVDIMM_KEYS: "y"
- ENCRYPTED_KEYS
- BLOCK: "y"
- BLK_DEV: "y"
- PHYS_ADDR_T_64BIT: "y"
- LIBNVDIMM
- KEYS: "y"
kconfig: x86_64-rhel-9.4-kunit
enqueue_time: 2025-01-20 16:46:57.634949364 +08:00
_rt: "/result/kunit/group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5"
compiler: gcc-12
head_commit: b9f198bd916344842dff66e8b8797b0405200676
base_commit: 5bc55a333a2f7316b58edc7573e8e893f7acb532
branch: linux-devel/devel-hourly-20250114-051639
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250120-101558"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kunit/group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5/1
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5/vmlinuz-6.13.0-rc3-00034-gb63e6f60eab4
- branch=linux-devel/devel-hourly-20250114-051639
- job=/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-01-debian-12-x86_64-20240206.cgz-b63e6f60eab4-20250120-95240-12emete-18.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kunit
- commit=b63e6f60eab45b16a1bf734fef9035a4c4187cd5
- kunit.enable=1
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250116125101/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-01-debian-12-x86_64-20240206.cgz-b63e6f60eab4-20250120-95240-12emete-18.cgz"
last_kernel: 4.20.0

#! user overrides

#! /db/releases/20250118091411/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5/vmlinuz-6.13.0-rc3-00034-gb63e6f60eab4"
result_root: "/result/kunit/group-01/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/b63e6f60eab45b16a1bf734fef9035a4c4187cd5/1"

#! /db/releases/20250120134802/lkp-src/include/site/inn
dequeue_time: 2025-01-21 01:09:47.801450714 +08:00
job_state: running
